Bug 450247 - Xorg fails to start with 4GB or greater
Xorg fails to start with 4GB or greater
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 03:43 EDT by Andy Burns
Modified: 2009-07-14 14:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.26.3-29.fc9.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log showing failure (21.79 KB, text/plain)
2008-06-06 03:43 EDT, Andy Burns
no flags Details
Xorg.log showing succesful start (21.47 KB, text/plain)
2008-06-06 03:44 EDT, Andy Burns
no flags Details
dmesg from machine (38.22 KB, text/plain)
2008-06-06 03:45 EDT, Andy Burns
no flags Details
gdm log file (28.36 KB, text/plain)
2008-06-12 03:31 EDT, Patrick Steiner
no flags Details
dmesg log file (31.91 KB, text/plain)
2008-06-12 03:32 EDT, Patrick Steiner
no flags Details

  None (edit)
Description Andy Burns 2008-06-06 03:43:37 EDT
Description of problem:

Asus P5E-VM-HDMI motherbard, using onboard G35 GMA with HDMI output, Xorg works
when machine has 1GB memory installed, fails with 4GB or 8GB.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg.x86_64   1.4.99.901-29.20080415
xorg-x11-drv-i810.x86_64      2.2.1-24.fc9

How reproducible:

100%

Steps to Reproduce:
1. install 4GB or more of memory
2. boot machine with rhgb enabled
  
Actual results:

With the extra memory, the machine boots, the text console displays ok, xorg
starts for rhgb and is displayed ok, when xorg restarts for gdm, the display is
left full of blocks of "random" pixels and xorg crashes, the machine however is
not dead and will respond to ctrl-alt-del, or to ssh.

Expected results:
onboard graphics are usable with any amount of memory

Additional info:

It seems this occurs only on the *second* time of initialising xorg, perhaps it
is the shutdown of xorg which is the problem?

If rhgb is enabled, the instance of xorg for rhgb succeeds, then the instance of
xorg for gdm fails.

If rhgb is disabled, then the first instance of xorg runs for rhgb and it
succeeds, but if it is killed it will not restart.

If the machine is started in runlevel3, then the first startx succeeds, but if
that is killed, a second startx fails.
Comment 1 Andy Burns 2008-06-06 03:43:37 EDT
Created attachment 308513 [details]
Xorg.log showing failure
Comment 2 Andy Burns 2008-06-06 03:44:49 EDT
Created attachment 308514 [details]
Xorg.log showing succesful start
Comment 3 Andy Burns 2008-06-06 03:45:14 EDT
Created attachment 308515 [details]
dmesg from machine
Comment 4 Andy Burns 2008-06-06 03:47:42 EDT
Comment on attachment 308515 [details]
dmesg from machine

changed mime type to text/plain
Comment 5 Patrick Steiner 2008-06-11 17:01:24 EDT
i can confirm this problem with a radeon hd 2400 pro (rv610) card

i also opened a bug https://bugzilla.redhat.com/show_bug.cgi?id=450432

should we close one?
Comment 6 Patrick Steiner 2008-06-11 17:02:40 EDT
but i have got the 32bit version of fedora installed
Comment 7 Andy Burns 2008-06-11 19:41:39 EDT
Although they both seem related to 4GB memory, on my machine with the intel
driver it crashes xorg, yours with the radeon driver reboots the machine (kernel
panic?)

I'd rather see some comment from an ajax and/or arlied before closing either of
them.
Comment 8 Patrick Steiner 2008-06-12 03:31:13 EDT
I found out something more about this problem.

could this be an mtrr problem?

i have attached a dmesg file and my gdm log in both there are mtrr problems like:

error setting MTRR (base = 0xf0000000, size = 0x08000000, type = 1) Invalid
argument (22)
Comment 9 Patrick Steiner 2008-06-12 03:31:36 EDT
Created attachment 309037 [details]
gdm log file
Comment 10 Patrick Steiner 2008-06-12 03:32:22 EDT
Created attachment 309038 [details]
dmesg log file
Comment 11 Patrick Steiner 2008-06-12 16:37:44 EDT
i found a solution for my problem. i dont know if this is a nice idea...

i disabled the memory remap feature in my motherboard bios.

ofter that my ati radeon 2400 pro works
Comment 12 Adam Goode 2008-06-16 10:28:53 EDT
I have this problem on a Dell Optiplex 745. Didn't realize it was a 4GB problem.
Comment 13 Kevin R. Page 2008-08-29 11:17:10 EDT
I'm reasonably sure I'm seeing this bug, rather than bug #450247.

Commonalities:
- machine locks hard on spawning of second X server (first is fine), e.g. GDM after RHGB; if I turn RHGB off it crashes if log out - which restarts X
- 4GB RAM

Similarities:
- Radeon HD 2400 XT
- Dell Optiplex 755

I also see:
error setting MTRR (base = 0xd0000000, size = 0x10000000, type = 1) Invalid argument (22)

in my GDM log, and:
Aug 29 13:58:17 keyop kernel: mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining

in /var/log/messages.

I've updated to the latest available BIOS. I can't find a memory remap feature in the BIOS. It'll be tricky to test removing a stick of RAM (but possible if needed) - I'll have to get alarms disabled etc.

I'm running a vaguely usable machine by disabling RHGB - as long as I don't log out!
Comment 14 Kevin R. Page 2008-08-29 11:18:48 EDT
Ha. I meant, of course, that I see more in common with this bug than bug #450432.
Comment 15 Jani Ollikainen 2008-09-13 13:26:54 EDT
My Bug report in #455127 seems to have the same problem. I also have the same motherboard and 4G of ram as the original reported.
Comment 16 Kevin R. Page 2008-09-15 07:47:18 EDT
This has been resolved for me since I applied the latest F9 updates. I can't see an xorg package amongst them, so I think it must be the kernel update that fixed it (to kernel-2.6.26.3-29.fc9.x86_64).

Booting back into kernel-2.6.25.14-108.fc9.x86_64 causes the crash again.
Comment 17 Adam Goode 2008-10-08 15:26:28 EDT
I am having this problem again with kernel-2.6.26.5-45.fc9.x86_64. I can run X exactly once between reboots. Optiplex 745.
Comment 18 Chuck Ebbert 2008-10-10 01:46:22 EDT
As a workaround, try limiting memory to 4GB with the kernel option 'mem=4096M' in grub.conf.

Looks like a lockup in drm.
Comment 19 Kevin R. Page 2008-10-10 07:14:20 EDT
In case it helps narrow the problem down: just to note that I'm *not* experiencing the problem again having rebooted into kernel-2.6.26.5-45.fc9.x86_64. An Optiplex 755 with Radeon HD 2400 XT and 4GB RAM. I'm not using any kernel mem= options.
Comment 20 Bug Zapper 2009-06-09 21:26:06 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-07-14 14:05:13 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.